Subject: [lamps] [CMP Algorithms] Use Key-Wrap with or without padding in Section 4.3 and Section 5

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Mon, 26 Oct 2020 17:12:38 +0000

I am looking for some guidance regarding encryption algorithms required for CMP, especially when using EnvelopedData.

Encryption is needed for encryption of the content-encryption key and for encryption of the content itself. 
In case of CMP the content is a Signed Data wrapped AsymmetricKeyPackage, a Certificates or a Password.

I am uncertain whether to use AES key wrapping with or without padding?
I am also uncertain if I can uses the same algorithm for CEK and content encryption?

Any guidance is welcome.

Hendrik

Hendrik Brockhaus
Siemens AG
mailto:[email-masked]

Siemens Aktiengesellschaft: Chairman of the Supervisory Board: Jim Hagemann Snabe; Managing Board: Joe Kaeser, Chairman, President and Chief Executive Officer; Roland Busch, Klaus Helmrich, Cedrik Neike, Matthias Rebellius, Ralf P. Thomas, Judith Wiese; Registered offices: Berlin and Munich, Germany; Commercial registries: Berlin-Charlottenburg, HRB 12300, Munich, HRB 6684; WEEE-Reg.-No. DE 23691322

---

From: Russ Housley <[email-masked]>
Date: Mon, 26 Oct 2020 14:53:22 -0400

> On Oct 26, 2020, at 1:12 PM, Brockhaus, Hendrik <[email-masked]> wrote:
> 

It seems that alignment with RFC 8551 would be a reasonable way forward, which would use different algorithms for key wrap and content encryption:

   The underlying encryption functions for the key wrap and content-
   encryption algorithms [RFC3370] [RFC3565] and the key sizes for the
   two algorithms MUST be the same (e.g., AES-128 key wrap algorithm
   with AES-128 content-encryption algorithm).  As both 128-bit and
   256-bit AES modes are mandatory to implement as content-encryption
   algorithms (Section 2.7), both the AES-128 and AES-256 key wrap
   algorithms MUST be supported.

Russ